Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Protected Slots
tlp::MouseSelectionEditor Class Reference

This interactor allows to move/rotate/stretch the current selection layout. More...

`#include <MouseSelectionEditor.h>`

Inheritance diagram for tlp::MouseSelectionEditor:
[legend]
Collaboration diagram for tlp::MouseSelectionEditor:
[legend]

List of all members.

## Public Member Functions

- MouseSelectionEditor ()
- ~MouseSelectionEditor ()
- bool compute (GlMainWidget *glMainWidget)
- bool draw (GlMainWidget *)
- bool eventFilter (QObject *, QEvent *)
- InteractorComponent * clone ()

## Protected Slots

- void glMainWidgetDestroyed (QObject *)

## Detailed Description

This interactor allows to move/rotate/stretch the current selection layout.

## Constructor & Destructor Documentation

tlp::MouseSelectionEditor::MouseSelectionEditor | ( |  | ) |

tlp::MouseSelectionEditor::~MouseSelectionEditor | ( |  | ) |

## Member Function Documentation

InteractorComponent* tlp::MouseSelectionEditor::clone | ( |  | ) | `[inline, virtual]`

Clone this interactor component

Implements tlp::InteractorComponent.

bool tlp::MouseSelectionEditor::compute | ( | GlMainWidget * |  | ) | `[virtual]`

This function compute the interactor visual feedback

Reimplemented from tlp::InteractorComponent.

bool tlp::MouseSelectionEditor::draw | ( | GlMainWidget * |  | ) | `[virtual]`

This function draw interactor

Reimplemented from tlp::InteractorComponent.

bool tlp::MouseSelectionEditor::eventFilter | ( | QObject * | ,
|  | QEvent * |
| ) |  |

void tlp::MouseSelectionEditor::glMainWidgetDestroyed | ( | QObject * |  | ) | `[protected, slot]`

Tulip Software by LaBRI Visualization Team 2001 - 2012